import request from '@/utils/request'

// 查询常住人口登记列表
export function listCzrkdj(query) {
  return request({
    url: '/dangan/czrkdj/list',
    method: 'get',
    params: query
  })
}

// 查询常住人口登记详细
export function getCzrkdj(id) {
  return request({
    url: '/dangan/czrkdj/' + id,
    method: 'get'
  })
}

// 新增常住人口登记
export function addCzrkdj(data) {
  return request({
    url: '/dangan/czrkdj',
    method: 'post',
    data: data
  })
}

// 修改常住人口登记
export function updateCzrkdj(data) {
  return request({
    url: '/dangan/czrkdj',
    method: 'put',
    data: data
  })
}

// 删除常住人口登记
export function delCzrkdj(id) {
  return request({
    url: '/dangan/czrkdj/' + id,
    method: 'delete'
  })
}
